Index: trunk/source/digits_hits/scorer/include/G4PSFlatSurfaceCurrent.hh
===================================================================
--- trunk/source/digits_hits/scorer/include/G4PSFlatSurfaceCurrent.hh	(revision 1227)
+++ trunk/source/digits_hits/scorer/include/G4PSFlatSurfaceCurrent.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSFlatSurfaceCurrent.hh,v 1.2 2007/08/14 21:23:51 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/scorer/include/G4PSFlatSurfaceCurrent3D.hh
===================================================================
--- trunk/source/digits_hits/scorer/include/G4PSFlatSurfaceCurrent3D.hh	(revision 1227)
+++ trunk/source/digits_hits/scorer/include/G4PSFlatSurfaceCurrent3D.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSFlatSurfaceCurrent3D.hh,v 1.2 2007/08/28 10:11:29 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/scorer/include/G4PSFlatSurfaceFlux.hh
===================================================================
--- trunk/source/digits_hits/scorer/include/G4PSFlatSurfaceFlux.hh	(revision 1227)
+++ trunk/source/digits_hits/scorer/include/G4PSFlatSurfaceFlux.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSFlatSurfaceFlux.hh,v 1.1 2007/07/11 01:29:28 asaim Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/scorer/include/G4PSFlatSurfaceFlux3D.hh
===================================================================
--- trunk/source/digits_hits/scorer/include/G4PSFlatSurfaceFlux3D.hh	(revision 1227)
+++ trunk/source/digits_hits/scorer/include/G4PSFlatSurfaceFlux3D.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSFlatSurfaceFlux3D.hh,v 1.2 2007/08/28 10:11:29 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/scorer/include/G4PSMinKinEAtGeneration.hh
===================================================================
--- trunk/source/digits_hits/scorer/include/G4PSMinKinEAtGeneration.hh	(revision 1227)
+++ trunk/source/digits_hits/scorer/include/G4PSMinKinEAtGeneration.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSMinKinEAtGeneration.hh,v 1.2 2007/08/14 21:23:51 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/scorer/include/G4PSMinKinEAtGeneration3D.hh
===================================================================
--- trunk/source/digits_hits/scorer/include/G4PSMinKinEAtGeneration3D.hh	(revision 1227)
+++ trunk/source/digits_hits/scorer/include/G4PSMinKinEAtGeneration3D.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSMinKinEAtGeneration3D.hh,v 1.2 2007/08/28 10:11:29 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/scorer/include/G4PSNofCollision.hh
===================================================================
--- trunk/source/digits_hits/scorer/include/G4PSNofCollision.hh	(revision 1227)
+++ trunk/source/digits_hits/scorer/include/G4PSNofCollision.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSNofCollision.hh,v 1.1 2007/07/11 01:29:28 asaim Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/scorer/include/G4PSNofCollision3D.hh
===================================================================
--- trunk/source/digits_hits/scorer/include/G4PSNofCollision3D.hh	(revision 1227)
+++ trunk/source/digits_hits/scorer/include/G4PSNofCollision3D.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSNofCollision3D.hh,v 1.2 2007/08/28 10:11:29 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/scorer/include/G4PSNofSecondary.hh
===================================================================
--- trunk/source/digits_hits/scorer/include/G4PSNofSecondary.hh	(revision 1227)
+++ trunk/source/digits_hits/scorer/include/G4PSNofSecondary.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSNofSecondary.hh,v 1.2 2007/08/14 21:23:51 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/scorer/include/G4PSNofSecondary3D.hh
===================================================================
--- trunk/source/digits_hits/scorer/include/G4PSNofSecondary3D.hh	(revision 1227)
+++ trunk/source/digits_hits/scorer/include/G4PSNofSecondary3D.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSNofSecondary3D.hh,v 1.2 2007/08/28 10:11:29 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/scorer/include/G4PSNofStep.hh
===================================================================
--- trunk/source/digits_hits/scorer/include/G4PSNofStep.hh	(revision 1227)
+++ trunk/source/digits_hits/scorer/include/G4PSNofStep.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSNofStep.hh,v 1.2 2007/08/29 06:36:41 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/scorer/include/G4PSNofStep3D.hh
===================================================================
--- trunk/source/digits_hits/scorer/include/G4PSNofStep3D.hh	(revision 1227)
+++ trunk/source/digits_hits/scorer/include/G4PSNofStep3D.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSNofStep3D.hh,v 1.2 2007/08/28 10:11:29 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/scorer/include/G4PSPassageCellCurrent.hh
===================================================================
--- trunk/source/digits_hits/scorer/include/G4PSPassageCellCurrent.hh	(revision 1227)
+++ trunk/source/digits_hits/scorer/include/G4PSPassageCellCurrent.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSPassageCellCurrent.hh,v 1.1 2007/08/14 21:30:45 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/scorer/include/G4PSPassageCellCurrent3D.hh
===================================================================
--- trunk/source/digits_hits/scorer/include/G4PSPassageCellCurrent3D.hh	(revision 1227)
+++ trunk/source/digits_hits/scorer/include/G4PSPassageCellCurrent3D.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSPassageCellCurrent3D.hh,v 1.2 2007/08/28 10:11:29 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/scorer/include/G4PSPassageCellFlux.hh
===================================================================
--- trunk/source/digits_hits/scorer/include/G4PSPassageCellFlux.hh	(revision 1227)
+++ trunk/source/digits_hits/scorer/include/G4PSPassageCellFlux.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSPassageCellFlux.hh,v 1.1 2007/07/11 01:29:28 asaim Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/scorer/include/G4PSPassageCellFlux3D.hh
===================================================================
--- trunk/source/digits_hits/scorer/include/G4PSPassageCellFlux3D.hh	(revision 1227)
+++ trunk/source/digits_hits/scorer/include/G4PSPassageCellFlux3D.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSPassageCellFlux3D.hh,v 1.2 2007/08/28 10:11:29 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/scorer/include/G4PSPassageTrackLength.hh
===================================================================
--- trunk/source/digits_hits/scorer/include/G4PSPassageTrackLength.hh	(revision 1227)
+++ trunk/source/digits_hits/scorer/include/G4PSPassageTrackLength.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSPassageTrackLength.hh,v 1.1 2007/07/11 01:29:28 asaim Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/scorer/include/G4PSPassageTrackLength3D.hh
===================================================================
--- trunk/source/digits_hits/scorer/include/G4PSPassageTrackLength3D.hh	(revision 1227)
+++ trunk/source/digits_hits/scorer/include/G4PSPassageTrackLength3D.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSPassageTrackLength3D.hh,v 1.2 2007/08/28 10:11:29 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/scorer/include/G4PSPopulation.hh
===================================================================
--- trunk/source/digits_hits/scorer/include/G4PSPopulation.hh	(revision 1227)
+++ trunk/source/digits_hits/scorer/include/G4PSPopulation.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSPopulation.hh,v 1.2 2007/08/14 21:23:51 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/scorer/include/G4PSPopulation3D.hh
===================================================================
--- trunk/source/digits_hits/scorer/include/G4PSPopulation3D.hh	(revision 1227)
+++ trunk/source/digits_hits/scorer/include/G4PSPopulation3D.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSPopulation3D.hh,v 1.2 2007/08/28 10:11:29 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/scorer/include/G4PSSphereSurfaceCurrent.hh
===================================================================
--- trunk/source/digits_hits/scorer/include/G4PSSphereSurfaceCurrent.hh	(revision 1227)
+++ trunk/source/digits_hits/scorer/include/G4PSSphereSurfaceCurrent.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSSphereSurfaceCurrent.hh,v 1.2 2007/08/14 21:23:51 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/scorer/include/G4PSSphereSurfaceCurrent3D.hh
===================================================================
--- trunk/source/digits_hits/scorer/include/G4PSSphereSurfaceCurrent3D.hh	(revision 1227)
+++ trunk/source/digits_hits/scorer/include/G4PSSphereSurfaceCurrent3D.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSSphereSurfaceCurrent3D.hh,v 1.2 2007/08/28 10:11:29 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/scorer/include/G4PSSphereSurfaceFlux.hh
===================================================================
--- trunk/source/digits_hits/scorer/include/G4PSSphereSurfaceFlux.hh	(revision 1227)
+++ trunk/source/digits_hits/scorer/include/G4PSSphereSurfaceFlux.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSSphereSurfaceFlux.hh,v 1.1 2007/07/11 01:29:28 asaim Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/scorer/include/G4PSSphereSurfaceFlux3D.hh
===================================================================
--- trunk/source/digits_hits/scorer/include/G4PSSphereSurfaceFlux3D.hh	(revision 1227)
+++ trunk/source/digits_hits/scorer/include/G4PSSphereSurfaceFlux3D.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSSphereSurfaceFlux3D.hh,v 1.2 2007/08/28 10:11:29 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/scorer/include/G4PSTermination.hh
===================================================================
--- trunk/source/digits_hits/scorer/include/G4PSTermination.hh	(revision 1227)
+++ trunk/source/digits_hits/scorer/include/G4PSTermination.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSTermination.hh,v 1.2 2007/12/10 16:29:35 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/scorer/include/G4PSTermination3D.hh
===================================================================
--- trunk/source/digits_hits/scorer/include/G4PSTermination3D.hh	(revision 1227)
+++ trunk/source/digits_hits/scorer/include/G4PSTermination3D.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSTermination3D.hh,v 1.3 2007/12/10 16:29:37 gunter Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/scorer/include/G4PSTrackCounter.hh
===================================================================
--- trunk/source/digits_hits/scorer/include/G4PSTrackCounter.hh	(revision 1227)
+++ trunk/source/digits_hits/scorer/include/G4PSTrackCounter.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSTrackCounter.hh,v 1.2 2007/08/14 21:23:51 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/scorer/include/G4PSTrackCounter3D.hh
===================================================================
--- trunk/source/digits_hits/scorer/include/G4PSTrackCounter3D.hh	(revision 1227)
+++ trunk/source/digits_hits/scorer/include/G4PSTrackCounter3D.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSTrackCounter3D.hh,v 1.2 2007/08/28 10:11:29 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/scorer/include/G4PSTrackLength.hh
===================================================================
--- trunk/source/digits_hits/scorer/include/G4PSTrackLength.hh	(revision 1227)
+++ trunk/source/digits_hits/scorer/include/G4PSTrackLength.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSTrackLength.hh,v 1.2 2007/08/14 21:23:51 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/scorer/include/G4PSTrackLength3D.hh
===================================================================
--- trunk/source/digits_hits/scorer/include/G4PSTrackLength3D.hh	(revision 1227)
+++ trunk/source/digits_hits/scorer/include/G4PSTrackLength3D.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSTrackLength3D.hh,v 1.2 2007/08/28 10:11:29 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/scorer/include/G4SDChargedFilter.hh
===================================================================
--- trunk/source/digits_hits/scorer/include/G4SDChargedFilter.hh	(revision 1227)
+++ trunk/source/digits_hits/scorer/include/G4SDChargedFilter.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SDChargedFilter.hh,v 1.1 2007/07/11 01:29:28 asaim Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/scorer/include/G4SDKineticEnergyFilter.hh
===================================================================
--- trunk/source/digits_hits/scorer/include/G4SDKineticEnergyFilter.hh	(revision 1227)
+++ trunk/source/digits_hits/scorer/include/G4SDKineticEnergyFilter.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SDKineticEnergyFilter.hh,v 1.1 2007/07/11 01:29:28 asaim Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/scorer/include/G4SDNeutralFilter.hh
===================================================================
--- trunk/source/digits_hits/scorer/include/G4SDNeutralFilter.hh	(revision 1227)
+++ trunk/source/digits_hits/scorer/include/G4SDNeutralFilter.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SDNeutralFilter.hh,v 1.1 2007/07/11 01:29:28 asaim Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/scorer/include/G4SDParticleFilter.hh
===================================================================
--- trunk/source/digits_hits/scorer/include/G4SDParticleFilter.hh	(revision 1227)
+++ trunk/source/digits_hits/scorer/include/G4SDParticleFilter.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SDParticleFilter.hh,v 1.2 2007/08/14 21:23:51 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/scorer/include/G4SDParticleWithEnergyFilter.hh
===================================================================
--- trunk/source/digits_hits/scorer/include/G4SDParticleWithEnergyFilter.hh	(revision 1227)
+++ trunk/source/digits_hits/scorer/include/G4SDParticleWithEnergyFilter.hh	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4SDParticleWithEnergyFilter.hh,v 1.1 2007/07/11 01:29:28 asaim Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 
Index: trunk/source/digits_hits/scorer/src/G4PSCellCharge.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSCellCharge.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSCellCharge.cc	(revision 1228)
@@ -25,5 +25,5 @@
 //
 // $Id: G4PSCellCharge.cc,v 1.1 2007/07/11 01:31:02 asaim Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSCellCharge
Index: trunk/source/digits_hits/scorer/src/G4PSCellCharge3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSCellCharge3D.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSCellCharge3D.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSCellCharge3D.cc,v 1.3 2007/08/29 06:36:41 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSCellCharge3D
Index: trunk/source/digits_hits/scorer/src/G4PSCellFlux.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSCellFlux.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSCellFlux.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSCellFlux.cc,v 1.2 2008/12/28 20:32:00 asaim Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSCellFlux
Index: trunk/source/digits_hits/scorer/src/G4PSCellFlux3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSCellFlux3D.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSCellFlux3D.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSCellFlux3D.cc,v 1.3 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSCellFlux3D
Index: trunk/source/digits_hits/scorer/src/G4PSCylinderSurfaceCurrent.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSCylinderSurfaceCurrent.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSCylinderSurfaceCurrent.cc	(revision 1228)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4PSCylinderSurfaceCurrent.cc,v 1.2 2008/12/28 21:10:51 asaim Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4PSCylinderSurfaceCurrent.cc,v 1.3 2009/11/14 00:01:13 asaim Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSCylinderSurfaceCurrent
@@ -87,4 +87,5 @@
 
   G4int dirFlag =IsSelectedSurface(aStep,tubsSolid);
+  G4cout << " pos " << preStep->GetPosition() <<" dirFlag " << G4endl;
   if ( dirFlag > 0 ) {
     if ( fDirection == fCurrent_InOut || fDirection == dirFlag ){
@@ -121,7 +122,11 @@
       theTouchable->GetHistory()->GetTopTransform().TransformPoint(stppos1);
     if ( std::fabs(localpos1.z()) > tubsSolid->GetZHalfLength() ) return -1;
-    if(std::fabs( (localpos1.x()*localpos1.x()+localpos1.y()*localpos1.y())
-		  -(tubsSolid->GetInnerRadius()*tubsSolid->GetInnerRadius()) )
-       < kCarTolerance ){
+    //if(std::fabs( localpos1.x()*localpos1.x()+localpos1.y()*localpos1.y()
+    //	  -(tubsSolid->GetInnerRadius()*tubsSolid->GetInnerRadius()))
+    //       < kCarTolerance ){
+    G4double localR2 = localpos1.x()*localpos1.x()+localpos1.y()*localpos1.y();
+    G4double InsideRadius = tubsSolid->GetInnerRadius();
+    if (localR2 > (InsideRadius-kCarTolerance)*(InsideRadius-kCarTolerance)
+	&&localR2 < (InsideRadius+kCarTolerance)*(InsideRadius+kCarTolerance)){
       return fCurrent_In;
     }
@@ -134,7 +139,11 @@
       theTouchable->GetHistory()->GetTopTransform().TransformPoint(stppos2);
     if ( std::fabs(localpos2.z()) > tubsSolid->GetZHalfLength() ) return -1;
-    if(std::fabs( (localpos2.x()*localpos2.x()+localpos2.y()*localpos2.y()) 
-		  - (tubsSolid->GetInnerRadius()*tubsSolid->GetInnerRadius()) )
-       <kCarTolerance ){
+    //if(std::fabs( localpos2.x()*localpos2.x()+localpos2.y()*localpos2.y() 
+    //	  - (tubsSolid->GetInnerRadius()*tubsSolid->GetInnerRadius()))
+    //       <kCarTolerance ){
+    G4double localR2 = localpos2.x()*localpos2.x()+localpos2.y()*localpos2.y();
+    G4double InsideRadius = tubsSolid->GetInnerRadius();
+    if (localR2 > (InsideRadius-kCarTolerance)*(InsideRadius-kCarTolerance)
+	&&localR2 < (InsideRadius+kCarTolerance)*(InsideRadius+kCarTolerance)){
       return fCurrent_Out;
     }
Index: trunk/source/digits_hits/scorer/src/G4PSCylinderSurfaceCurrent3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSCylinderSurfaceCurrent3D.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSCylinderSurfaceCurrent3D.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSCylinderSurfaceCurrent3D.cc,v 1.3 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSCylinderSurfaceCurrent3D
Index: trunk/source/digits_hits/scorer/src/G4PSCylinderSurfaceFlux.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSCylinderSurfaceFlux.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSCylinderSurfaceFlux.cc	(revision 1228)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: G4PSCylinderSurfaceFlux.cc,v 1.3 2008/12/28 21:10:51 asaim Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// $Id: G4PSCylinderSurfaceFlux.cc,v 1.4 2009/11/14 00:01:13 asaim Exp $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // // G4PSCylinderSurfaceFlux
@@ -144,6 +144,11 @@
       theTouchable->GetHistory()->GetTopTransform().TransformPoint(stppos1);
     if ( std::fabs(localpos1.z()) > tubsSolid->GetZHalfLength() ) return -1;
-    if(std::fabs( localpos1.x()*localpos1.x()+localpos1.y()*localpos1.y() ) 
-       - (tubsSolid->GetInnerRadius()*tubsSolid->GetInnerRadius())<kCarTolerance ){
+    //if(std::fabs( localpos1.x()*localpos1.x()+localpos1.y()*localpos1.y()  
+    //   - (tubsSolid->GetInnerRadius()*tubsSolid->GetInnerRadius()))
+    //   <kCarTolerance ){
+    G4double localR2 = localpos1.x()*localpos1.x()+localpos1.y()*localpos1.y();
+    G4double InsideRadius = tubsSolid->GetInnerRadius();
+    if (localR2 > (InsideRadius-kCarTolerance)*(InsideRadius-kCarTolerance)
+	&&localR2 < (InsideRadius+kCarTolerance)*(InsideRadius+kCarTolerance)){
       return fFlux_In;
     }
@@ -156,6 +161,11 @@
       theTouchable->GetHistory()->GetTopTransform().TransformPoint(stppos2);
     if ( std::fabs(localpos2.z()) > tubsSolid->GetZHalfLength() ) return -1;
-    if(std::fabs( localpos2.x()*localpos2.x()+localpos2.y()*localpos2.y() ) 
-       - (tubsSolid->GetInnerRadius()*tubsSolid->GetInnerRadius())<kCarTolerance ){
+    //if(std::fabs( localpos2.x()*localpos2.x()+localpos2.y()*localpos2.y()  
+    //   - (tubsSolid->GetInnerRadius()*tubsSolid->GetInnerRadius())) 
+    // <kCarTolerance ){
+    G4double localR2 = localpos2.x()*localpos2.x()+localpos2.y()*localpos2.y();
+    G4double InsideRadius = tubsSolid->GetInnerRadius();
+    if (localR2 > (InsideRadius-kCarTolerance)*(InsideRadius-kCarTolerance)
+	&&localR2 < (InsideRadius+kCarTolerance)*(InsideRadius+kCarTolerance)){
       return fFlux_Out;
     }
Index: trunk/source/digits_hits/scorer/src/G4PSCylinderSurfaceFlux3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSCylinderSurfaceFlux3D.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSCylinderSurfaceFlux3D.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSCylinderSurfaceFlux3D.cc,v 1.3 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSCylinderSurfaceFlux3D
Index: trunk/source/digits_hits/scorer/src/G4PSDoseDeposit.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSDoseDeposit.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSDoseDeposit.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSDoseDeposit.cc,v 1.2 2008/12/28 20:32:00 asaim Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSDoseDeposit
Index: trunk/source/digits_hits/scorer/src/G4PSDoseDeposit3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSDoseDeposit3D.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSDoseDeposit3D.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSDoseDeposit3D.cc,v 1.3 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSDoseDeposit3D
Index: trunk/source/digits_hits/scorer/src/G4PSEnergyDeposit.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSEnergyDeposit.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSEnergyDeposit.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSEnergyDeposit.cc,v 1.1 2007/07/11 01:31:02 asaim Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSEnergyDeposit
Index: trunk/source/digits_hits/scorer/src/G4PSEnergyDeposit3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSEnergyDeposit3D.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSEnergyDeposit3D.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSEnergyDeposit3D.cc,v 1.3 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSEnergyDeposit3D
Index: trunk/source/digits_hits/scorer/src/G4PSFlatSurfaceCurrent.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSFlatSurfaceCurrent.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSFlatSurfaceCurrent.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSFlatSurfaceCurrent.cc,v 1.3 2008/12/29 00:17:14 asaim Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSFlatSurfaceCurrent
Index: trunk/source/digits_hits/scorer/src/G4PSFlatSurfaceCurrent3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSFlatSurfaceCurrent3D.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSFlatSurfaceCurrent3D.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSFlatSurfaceCurrent3D.cc,v 1.3 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSFlatSurfaceCurrent3D
Index: trunk/source/digits_hits/scorer/src/G4PSFlatSurfaceFlux.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSFlatSurfaceFlux.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSFlatSurfaceFlux.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSFlatSurfaceFlux.cc,v 1.2 2008/12/29 00:17:14 asaim Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSFlatSurfaceFlux
Index: trunk/source/digits_hits/scorer/src/G4PSFlatSurfaceFlux3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSFlatSurfaceFlux3D.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSFlatSurfaceFlux3D.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSFlatSurfaceFlux3D.cc,v 1.3 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSFlatSurfaceFlux3D
Index: trunk/source/digits_hits/scorer/src/G4PSMinKinEAtGeneration.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSMinKinEAtGeneration.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSMinKinEAtGeneration.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSMinKinEAtGeneration.cc,v 1.1 2007/07/11 01:31:02 asaim Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSMinKinEAtGeneration
Index: trunk/source/digits_hits/scorer/src/G4PSMinKinEAtGeneration3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSMinKinEAtGeneration3D.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSMinKinEAtGeneration3D.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSMinKinEAtGeneration3D.cc,v 1.3 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSMinKinEAtGeneration3D
Index: trunk/source/digits_hits/scorer/src/G4PSNofCollision.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSNofCollision.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSNofCollision.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSNofCollision.cc,v 1.1 2007/07/11 01:31:02 asaim Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSNofCollision
Index: trunk/source/digits_hits/scorer/src/G4PSNofCollision3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSNofCollision3D.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSNofCollision3D.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSNofCollision3D.cc,v 1.3 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSNofCollision3D
Index: trunk/source/digits_hits/scorer/src/G4PSNofSecondary.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSNofSecondary.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSNofSecondary.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSNofSecondary.cc,v 1.2 2007/08/14 21:23:51 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSNofSecondary
Index: trunk/source/digits_hits/scorer/src/G4PSNofSecondary3D.cc
===================================================================
--- trunk/source/digits_hits/scorer/src/G4PSNofSecondary3D.cc	(revision 1227)
+++ trunk/source/digits_hits/scorer/src/G4PSNofSecondary3D.cc	(revision 1228)
@@ -26,5 +26,5 @@
 //
 // $Id: G4PSNofSecondary3D.cc,v 1.3 2007/08/29 06:36:42 taso Exp $
-// GEANT4 tag $Name: geant4-09-02-ref-02 $
+// GEANT4 tag $Name: geant4-09-03 $
 //
 // G4PSNofSecondary3D
